Object.defineProperty(exports, "__esModule", { value: true });
exports.parseScriptImportRanges = void 0;
const scriptSetupRanges_1 = require("./scriptSetupRanges");
function parseScriptImportRanges(ts, ast, end) {
    const calls = [];
    ast.forEachChild(node => {
        visitNode(node);
    });
    return calls;
    function visitNode(node) {
        if (ts.isImportDeclaration(node)) {
            const code = (0, scriptSetupRanges_1.getStartEnd)(node, ast);
            if (code.start <= end) {
                calls.push({
                    code: code,
                    moduleSpecifier: (0, scriptSetupRanges_1.getStartEnd)(node.moduleSpecifier, ast)
                });
                node.moduleSpecifier;
            }
        }
        node.forEachChild(child => visitNode(child));
    }
}
exports.parseScriptImportRanges = parseScriptImportRanges;
//# sourceMappingURL=scriptImportRanges.js.map